Subject: Re: linux-next: Tree for Jun 28 [ BISECTED: rsyslog/imklog: High CPU usage ]

From: [email-masked]
Date: Sun, 30 Jun 2013 16:17:07 -0400

On Sun, 30 Jun 2013 20:19:45 +0200, Oleg Nesterov said:
>
> Not only "__wait_no_timeout(tout) ?:" was wrong, I didn't bother
> to recheck this logic even after I got the "warning: the omitted
> middle operand in ?:" reports.
>
> Sedat, thanks you very much! Any chance you can try the patch below?

I'm not Sedat, but I had the same problem with rsyslog going nuts,
and I can confirm that the patch fixes the problem.  (Had to hand-apply
it, there was some difference of opinion regarding { } on an else)

Feel free to toss on a Tested-By: if this becomes a separate commit...